<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>
	
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<head>
		<title><%= resTit.getString("titRelModelos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
			
</head>
<BODY onkeydown="cancelaEnter();" style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%	
	int contador = 0;
	String sql = "", sql2 = "";
	String codigo="", cod="", marca="", marc="", descripcion = "", desc="";
    java.sql.Connection conn=null;
    PreparedStatement pstmt = null;
    ResultSet rs = null;
	
	codigo = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
	cod=codigo;
	descripcion = request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion");
	desc=descripcion;
	marca = request.getParameter("Marca")==null?"":request.getParameter("Marca");
	marc=marca;
%>
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_MODELOS%>?Marca=<%=marca%>";
			detActual = '<%=resCM.getString("cmRelModelos")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			 <FORM NAME="FormRelModelos" METHOD="POST">
					 <TABLE class="general">
					    <tr> 
					      <td width="80%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right">
					        <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr > 
					       <td colspan="3" class="searchTitle" align="center"><%= res.getString("etMarca")%></td>
					    </tr>
					    <tr > 
					    	<td colspan="3" align="left">
					    		<select name="Marca" class="inputField" onKeypress="if (event.keyCode == 13){ blur();} else {buscar_op(this,this);}" onblur="javascript:fncRecargar(this.value);" onchange="javascript:fncRecargar(this.value);" >
					                    <option type="submit" size="50" ></option>
					                    <%m05bCombo miCombo = new m05bCombo();%>
					                    <%=miCombo.populateCombo( m05bConstantes.COL_99_CODDESC, m05bConstantes.COL_99_DESCRIPCION, 
					        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_MARCAS, marca )%>
					           </select>
					     	</td>
					    </tr>
					    <tr > 
					       <td width="20%" class="searchTitle"><%= res.getString("etCodigo")%></td>
					       <td width="30%" class="searchTitle"><%= res.getString("etMarca")%></td>
					       <td width="50%" class="searchTitle"><%= res.getString("etModelo")%></td>
					    </tr>
					<%
					try{
						session.removeAttribute("Modelo");

						sql = "select COD_MOD_17, DESCRIP_99, DESCRIP_17 " +
								" from M0599T00, M0517T00" +
						        " where COD_TAB_99 = 7 " + 
								" and COD_DESC_99 = MARCA_17 " ;

						if ((marca.equals("")) || (marca == null)) {
							sql2 = sql2;
						} else{	
							sql2 = sql2 + " and MARCA_17 = ? ";
						}
						if ((descripcion.equals("")) || (descripcion == null)) {
							sql2 = sql2;
						} else{
							descripcion = '%'+ descripcion + '%';
					 		sql2 = sql2 + " and DESCRIP_17 like ? ";
						}
						if ((codigo.equals("")) || (codigo == null)) {
							sql2 = sql2;
						} else{	
							codigo = codigo + '%';
					 		sql2 = sql2 + " and COD_MOD_17 like ? ";
						}
						
						sql = sql + sql2 + " order by DESCRIP_99, DESCRIP_17 ASC";
						
						//m05bbBeginSelect(sql);

		               m05bConexion miConex = new m05bConexion();
                       conn = miConex.getConnection();
                       conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		               pstmt = conn.prepareStatement(sql);

						if ((marca.equals("")) || (marca == null)) {
							contador = contador;
						} else{
							contador = contador + 1;
							pstmt.setString(contador, marca);
						}
						if ((descripcion.equals("")) || (descripcion == null)) {
							contador = contador;
						} else{
							contador = contador + 1;
							pstmt.setString(contador, descripcion);
						}
						if ((codigo.equals("")) || (codigo == null)) {
							contador = contador;
						} else {
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						
						//m05bRS = m05bPStmt.executeQuery();
						rs = pstmt.executeQuery();			
						m05bDescrip descrip = new m05bDescrip(); 
						contador=0;
						while (rs.next() == true) {
							codigo= rs.getString("COD_MOD_17");
							marca = rs.getString("DESCRIP_99");
							descripcion = rs.getString("DESCRIP_17")==null?"":rs.getString("DESCRIP_17");
							++contador;
						%>
							<tr>
						        <td class="inputFieldTitle"><FONT size="2"><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></FONT></td>
						        <td class="inputFieldTitle"><FONT size="2"><%=marca%></FONT></td>
					   	        <td class="inputFieldTitle"><FONT size="2"><%=descripcion%></FONT></td>
						 	</tr>
						<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);

	function fncNuevo() {
       		FormRelModelos.action="m05bModelosJsp.jsp?Codigo=&Mensaje=false";
       		FormRelModelos.submit();
	}
	function fncBuscar() {
       		FormRelModelos.action="m05bBusqModelosJsp.jsp";
       		FormRelModelos.submit();
	}
	function fncRecargar(marca) {
			var docu = document.FormRelModelos;
			if (marca != "") {
	       		docu.action="m05bRelModelosJsp.jsp?Marca="+marca;
	       		docu.submit();
	       	}
	}
	function fncModificar(codigo) {
            FormRelModelos.action="m05bGenerarModeloServlet?Codigo=" + codigo + "&Mensaje=false";
            FormRelModelos.submit();
    }
    function fncImprimir() {
		var docu = document.FormRelModelos;
        docu.action="m05bModelosPDFJsp.jsp?Codigo=<%=cod%>&Descripcion=<%=desc%>&Marca=<%=marc%>";
        docu.submit();
    }    
</script>

<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();
	
}%>
</BODY>
</HTML>